/*
 * File:     wx_mgstr.h
 * Purpose:  simple language support
 *
 *                       wxWindows 1.50
 * Copyright (c) 1993 Artificial Intelligence Applications Institute,
 *                   The University of Edinburgh
 *
 *                     Author: Julian Smart
 *                       Date: 27-9-93
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice, author statement and this permission
 * notice appear in all copies of this software and related documentation.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS,
 * IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL THE ARTIFICIAL INTELLIGENCE APPLICATIONS INSTITUTE OR THE
 * UNIVERSITY OF EDINBURGH BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF
 * DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH
 * THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef wx_mgstr
#define wx_mgstr

#define wxLANGUAGE_GERMAN            1
#define wxLANGUAGE_ENGLISH           2

extern char **wx_msg_str;
extern void wxSetLanguage(int language);

// wxForm messages:
#define wxSTR_BUTTON_OK              wx_msg_str[0]
#define wxSTR_BUTTON_CANCEL          wx_msg_str[1]
#define wxSTR_BUTTON_REVERT          wx_msg_str[2]
#define wxSTR_BUTTON_UPDATE          wx_msg_str[3]
#define wxSTR_CONSTRAINT_VIOLATION   wx_msg_str[4]
#define wxSTR_VIOLATION_FLOAT        wx_msg_str[5]
#define wxSTR_VIOLATION_LONG         wx_msg_str[6]

#define wxSTR_MENU_HELP              wx_msg_str[7]

#endif // wx_mgstr.h
