#ifndef hy_exprh
#define hy_exprh

#include <math.h>
#include <stdlib.h>

#ifdef __cplusplus
extern "C" {
char *cons(char *, char *);
char * make_integer(char *);
char * make_word(char *);
char * make_string(char *);
char * make_real(char *, char *);

void add_expr(char *);
void process_command(char *);
void syntax_error();
}
#else
char *cons();
char * make_integer();
char * make_word();
char * make_string();
char * make_real();

void add_expr();
void process_command();
void syntax_error();
#endif

#endif /* hy_exprh */
