/*
 * Useful CLIPS functions declared for C++
 *
 */

struct dataObject;

extern "C" {
void AddBreakpoint(void *);
Bool AddRouter(char *,int,int (*)(),int (*)(),int (*)(),int (*)(),int (*)());
int  AddRunFunction(char *, int (*)(), int);
void *AddSymbol(char *s);
int  AddWatchItem(char *item, int *flag, int priority);
int  ArgCountCheck(char *, int, int);
void *AssertString(char *);
int  Bload(char *);
int  Bsave(char *);
void ClearCLIPS(void);
void *CreateMultifield(int);
int  DefineFunction(char *, int, int (*)(), char *);
void ExecuteBatchFile(char *); // Added by JACS
char *GetDefruleName(void *);
void *GetNextDefrule(void *);
void *FindDefrule(char *);
void InitializeCLIPS(void);
void ListDeffacts(void);
void ListBreakpoints(void);
void ListDefrules(void);
int  ListMatches(void *);
void ListAgenda(void);
void ListDeftemplates(void);
void ListDefglobals(void);
int  LoadConstructs(char *);
int  OpenBatch(char *, int);
void PeriodicCleanup(Bool cleanupAllDepths,Bool useHeuristics);
int  PrintCLIPS(char *, char *);
int  RemoveBreakpoint(void *);
void ResetCLIPS(void);
Bool RouteCommand(char *);
int  RtnArgCount();
double RtnDouble(int);
char *RtnLexeme(int);
long RtnLong(int);
struct dataObject *RtnUnknown(int, dataObject *);
void RunCLIPS(int);
int  SaveConstructs(char *);
void SetMultifieldErrorValue(dataObject *);
void SetPrintWhileLoading(Bool);
int  SetWatchItem(char *item, Bool activate);
#ifdef wx_msw
#ifndef WIN32
int  system(char *);
#endif
#endif
void UserFunctions(void);

}

